Bug 137870 - [locale] en_DK needed
Summary: [locale] en_DK needed
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 1.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-i18n
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-17 11:40 UTC by hanne.moa
Modified: 2009-10-21 11:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hanne.moa 2009-08-17 11:40:02 UTC
The mock locale en_DK ("english in Denmark") is used when one wants ISO-dates (YYYY-MM-DD) and 24 hour clock everywhere, that is: a non-en_* LC_TIME, but english everywhere else.

It is easier to use this locale than specifying an LC_TIME that differs from the rest of the locale everywhere it is needed. It is also the easiest way of getting ISO-dates in for instance Mozilla Thunderbird (http://myy.helia.fi/~karte/international_iso-8601_date_on_thunderbird.html)

Fix: 

Make copies of either en_US.* or en_GB.* to en_DK.* and change the date and hour-formats in LC_TIME.
Comment 1 Gavin Atkinson freebsd_committer 2009-08-17 12:14:32 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-i18n

Over to maintainer(s).  To submitter: if you have already created copies of the 
requested files, are you able to share them?
Comment 2 J.R. Oldroyd 2009-08-18 15:16:40 UTC
On Mon, 17 Aug 2009 11:28:09 GMT, gavin@freebsd.org wrote:
>
> Old Synopsis: Locale en_DK needed
> New Synopsis: [locale] en_DK needed
> 
> Responsible-Changed-From-To: freebsd-bugs->freebsd-i18n
> Responsible-Changed-By: gavin
> Responsible-Changed-When: Mon Aug 17 11:14:32 UTC 2009
> Responsible-Changed-Why: 
> Over to maintainer(s).  To submitter: if you have already created copies of the
> requested files, are you able to share them?
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=137870
> _______________________________________________
> freebsd-i18n@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-i18n
> To unsubscribe, send any mail to "freebsd-i18n-unsubscribe@freebsd.org"

I think the locale name en_ISOdate or even en_UK.isodate and en_US.isodate
or something along those lines would be more suitable.

First, en_DK might one day be needed to describe how English is actually
used in Denmark.

Second, anyone looking for a locale description with English but ISO
date/time info is unlikely to find it if it is hidden under a local
country name.

	-jr
Comment 3 edwin 2009-08-19 13:23:37 UTC
 
> I think the locale name en_ISOdate or even en_UK.isodate and
> en_US.isodate or something along those lines would be more suitable.

The optional part behind the country is reserved for the font family.
Latn or Cyrl etc.

What you are more looking at is a unused language string (like "xx"
to make it "xx_DK") which has the right definitions in it.

I don't think that the right place for this non-standard thing is
in the base system, a port would be a much cleaner solution.

Edwin

-- 
Edwin Groothuis		Website: http://www.mavetju.org/
edwin@mavetju.org	Weblog:  http://www.mavetju.org/weblog/
Comment 4 J.R. Oldroyd 2009-08-19 15:30:30 UTC
On Wed, 19 Aug 2009 22:23:37 +1000, Edwin Groothuis <edwin@mavetju.org> wrote:
>
>  
> > I think the locale name en_ISOdate or even en_UK.isodate and
> > en_US.isodate or something along those lines would be more suitable.
> 
> The optional part behind the country is reserved for the font family.
> Latn or Cyrl etc.
> 
> What you are more looking at is a unused language string (like "xx"
> to make it "xx_DK") which has the right definitions in it.
> 
> I don't think that the right place for this non-standard thing is
> in the base system, a port would be a much cleaner solution.
> 
> Edwin
> 

You are right about the part after the period being reserved, although
it seems it's a character set rather than a font family.

The format appears to be:
	xx_YY.charset
		xx = ISO639 2-letter language code
		YY = ISO3166 2-letter country code
		charset = UTF-8, ISO8859-1, CP1131, etc

For years now I have used the name en_ISO.UTF-8 myself for exactly the
purpose that the poster is requesting, without anything apparently
breaking.  While the string "ISO" is obviously not a 2-letter ISO3166
country code, it does not appear to break anything.

I agree that this should be done as a port, rather than added to the
base system.

	-jr
Comment 5 Edwin Groothuis freebsd_committer 2009-10-21 11:35:28 UTC
State Changed
From-To: open->closed

This would better fit as a port than in the base system.